%global short_name task-reactor

Name:           jenkins-task-reactor
Version:        1.4
Release:        %mkrel 6
Summary:        Jenkins task-reactor library 
Group:          Development/Java
# License is specified in pom file
License:        MIT
URL:            https://github.com/jenkinsci/lib-task-reactor
Source0:        https://github.com/jenkinsci/lib-%{short_name}/archive/%{short_name}-%{version}.tar.gz
# License text copied from http://jenkins-ci.org/mit-license
Source1:        LICENSE.txt

BuildRequires:  maven-local

BuildArch:      noarch

%description
This Java library provides generic task execution
and control framework which is used extensively within
the Jenkins CI toolset. 

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n lib-%{short_name}-%{short_name}-%{version}

cp %{SOURCE1} LICENSE

# Nothing really interesting in parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.jenkins-ci</groupId>"

%build
# test are disabled because of missing dep org.objectweb.carol:cmi
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE



%changelog
* Fri Mar 11 2016 neoclust <neoclust> 1.4-6.mga6
+ Revision: 989028
- Rebuild against fixed jenkins
- Second rebuild of the java stack

* Wed Feb 17 2016 umeabot <umeabot> 1.4-4.mga6
+ Revision: 964119
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 744374
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 09 2014 dmorgan <dmorgan> 1.4-1.mga5
+ Revision: 621424
- imported package jenkins-task-reactor


* Mon Nov 25 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Update to upstream version 1.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Michal Srb <msrb@redhat.com> - 1.3-1
- Initial package

